%define oname SQUIRREL2

#there's no major in soname
%define libname		%mklibname %{name}
%define develname	%mklibname %{name} -d

Summary:	The squirrel language
Name:		squirrel
Version:	2.2.4
Release:	%mkrel 4
License:	GPLv2+
Group:		Development/Other
URL:		http://squirrel-lang.org
Source0:	http://ovh.dl.sourceforge.net/sourceforge/squirrel/%{name}_%{version}_stable.tar.bz2
Patch0:		squirrel_2.2.4_stable-autotools.patch
Conflicts:	ispell
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Squirrel is a light weight programming language 
featuring higher-order functions,classes/inheritance,
delegation,tail recursion,generators,cooperative 
threads,exception handling, reference counting and 
garbage collection on demand. C-like syntax.

%package -n %{libname}
Summary:	Shared libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
Development libraries and includes files for developing programs
based on %{name}.

%prep
%setup -q -n %{oname}
%patch0 -p1 -b .autotools

# fix file permissions
find . -type f -exec chmod a-x {} \;

# fix extension for autotools
mv sq/sq.c sq/sq.cpp

# fix EOL + preserve timestamps
for f in README HISTORY
do
    sed -i.orig 's/\r//g' $f
    touch -r $f.orig $f
done

%build
sh autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README HISTORY
%{_bindir}/sq

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsqstdlib-%{version}.so
%{_libdir}/libsquirrel-%{version}.so

%files -n %{develname}
%defattr(-,root,root)
%doc doc/*.pdf
%{_libdir}/libsqstdlib.so
%{_libdir}/libsquirrel.so
%{_includedir}/squirrel


%changelog
* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-4mdv2011.0
+ Revision: 670020
- mass rebuild

* Fri Mar 04 2011 Jani Välimaa <wally@mandriva.org> 2.2.4-3
+ Revision: 641831
- sync with fedora (add autotools patch)

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-2mdv2011.0
+ Revision: 607560
- rebuild

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 485099
- update to new version 2.2.4

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.3-1mdv2010.0
+ Revision: 440751
- update to new version 2.2.3

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2.2-2mdv2010.0
+ Revision: 427214
- rebuild

* Mon Oct 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.2-1mdv2009.1
+ Revision: 295753
- update to new version 2.2.2

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.2-2mdv2009.0
+ Revision: 225474
- rebuild

* Mon Feb 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2-1mdv2008.1
+ Revision: 171205
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.2-2mdv2008.1
+ Revision: 136102
- obsolete older devel package

* Thu Dec 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.2-1mdv2008.1
+ Revision: 135793
- drop patch 0
- fix building on x86_64
- new version
- fix docs
- set proper bits on files
- new devel library policy
- update url
- spec file clean
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 2_0_5-4mdv2007.0
+ Revision: 114513
- Import squirrel

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 2_0_5-4mdv2007.1
- unpack patch

* Sat Feb 04 2006 Sebastien Savarin <plouf@mandriva.org> 2_0_5-4mdk
- Fix build on x86_64 big thanks to couriousous

* Thu Feb 02 2006 Sebastien Savarin <plouf@mandriva.org> 2_0_5-3mdk
- prevent conflict with ispel

* Sun Dec 25 2005 Sebastien Savarin <plouf@mandriva.org> 2_0_5-2mdk
- Fix Group

* Sun Dec 18 2005 Sebastien Savarin <plouf@mandriva.org> 2_0_5-1mdk
- First Mandriva Linux release

